<?php
declare( strict_types=1 );

namespace FiboFilters\Integrations\Plugins;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Class WpAllImport
 *
 * Plugin Name: Import any XML, CSV or Excel File to WordPress
 * Plugin URI: https://www.wpallimport.com/
 * Tested versions: 4.11.5
 */
class WpAllImport extends AbstractPlugin {
	public function init(): void {
		add_action(
			'pmxi_before_post_import',
			function () {
				global $fibofilters_disable_updater;
				if ( empty( $fibofilters_disable_updater ) ) {
					add_filter( 'fibofilters/indexer/updater/enabled', '__return_false' );
					$fibofilters_disable_updater = true;
				}
			}
		);
	}
}
